commit: 1883992fcb4caa21b92a6f970127ef5de9051426
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 09:32:57 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 09:36:04 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1883992f
dev-ruby/camping: fix running tests
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-ruby/camping/camping-2.1.532.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-ruby/camping/camping-2.1.532.ebuild
b/dev-ruby/camping/camping-2.1.532.ebuild
index dac1932d88b..b74e6375150 100644
--- a/dev-ruby/camping/camping-2.1.532.ebuild
+++ b/dev-ruby/camping/camping-2.1.532.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby20 ruby21"
+USE_RUBY="ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
@@ -28,5 +28,5 @@ all_ruby_prepare() {
}
each_ruby_test() {
- ${RUBY} -S testrb test/app_*.rb || die
+ ${RUBY} -Ilib:test:. -e 'Dir["test/app_*.rb"].each{|f| require f}' ||
die
}